## WebKitWebPlugin WebKitWebPlugin — Represents a plugin, enabling fine-grained control |

## Functions

const char * | webkit_web_plugin_get_description ()
gboolean | webkit_web_plugin_get_enabled ()
GSList * | webkit_web_plugin_get_mimetypes ()
const char * | webkit_web_plugin_get_name ()
void | webkit_web_plugin_set_enabled ()
const char * | webkit_web_plugin_get_path ()

## Properties

gboolean | enabled | Read / Write

## Types and Values

| WebKitWebPlugin
| WebKitWebPluginMIMEType

## Object Hierarchy

        GObject
        ╰── WebKitWebPlugin

## Description

This object represents a single plugin, found by WebKitGTK+ while scanning the various usual directories. This object can be used to get more information about a plugin, and enable/disable it, allowing fine-grained control of plugins. The list of available plugins can be obtained from the WebKitWebPluginDatabase object.

## Functions

### webkit_web_plugin_get_description ()

    const char *
    webkit_web_plugin_get_description (WebKitWebPlugin *plugin);

#### Parameters

plugin | a WebKitWebPlugin |

#### Returns

the description string for `plugin` .

Since 1.3.8

### webkit_web_plugin_get_enabled ()

    gboolean
    webkit_web_plugin_get_enabled (WebKitWebPlugin *plugin);

#### Parameters

plugin | a WebKitWebPlugin |

#### Returns

`TRUE` if the plugin is enabled, `FALSE` otherwise

Since 1.3.8

### webkit_web_plugin_get_mimetypes ()

    GSList *
    webkit_web_plugin_get_mimetypes (WebKitWebPlugin *plugin);

Returns all the WebKitWebPluginMIMEType that `plugin` is handling at the moment.

#### Parameters

plugin | a WebKitWebPlugin |

#### Returns

a GSList of WebKitWebPluginMIMEType.

[transfer none][element-type WebKit.WebKitWebPluginMIMEType]

Since 1.3.8

### webkit_web_plugin_get_name ()

    const char *
    webkit_web_plugin_get_name (WebKitWebPlugin *plugin);

#### Parameters

plugin | a WebKitWebPlugin |

#### Returns

the name string for `plugin` .

Since 1.3.8

### webkit_web_plugin_set_enabled ()

    void
    webkit_web_plugin_set_enabled (WebKitWebPlugin *plugin,
                                   gboolean enabled);

Sets the enabled status of the `plugin` .

#### Parameters

plugin | a WebKitWebPlugin |
enabled | whether to enable the plugin |

Since 1.3.8

### webkit_web_plugin_get_path ()

    const char *
    webkit_web_plugin_get_path (WebKitWebPlugin *plugin);

#### Parameters

plugin | a WebKitWebPlugin |

#### Returns

the absolute path to `plugin` in system filename encoding or `NULL` on failure to convert the filename from UTF-8.

Since 1.4.0

## Types and Values

### WebKitWebPlugin

    typedef struct _WebKitWebPlugin WebKitWebPlugin;

### WebKitWebPluginMIMEType

    typedef struct {
        char* name;
        char* description;
        char** extensions;
    } WebKitWebPluginMIMEType;

A structure representing one of the MIME types associated with a plugin. A GSList of these objects will be returned by webkit_web_plugin_get_mimetypes, use webkit_web_plugin_mime_type_list_free to free it.

#### Members

char *`name`; | the name of the MIME type. |
char *`description`; | the description of the MIME type. |
char **`extensions`; | a `NULL`-terminated array with the extensions associated with this MIME type. |

Since 1.3.8

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Whether the plugin is enabled.

Flags: Read / Write

Default value: FALSE

## See Also

WebKitWebPluginDatabase